#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <avr/pgmspace.h>
#include "spi.h"
#include "global.h"

void spi_init(void)
{

	SPIDDR|= (1<<SS)|(1<<MOSI)|(1<<SCK);
	SPIDDR&= ~((1<<MISO)|(1<<BUSY));
 	sbi(SPIPORT, MISO);			//Enable Pullup
 	sbi(SPIPORT, BUSY);			//Enable Pullup
 	sbi(SPIPORT, SS);
    SPCR = (1<<SPE)|(1<<MSTR);	/* Enable SPI, Master, set clock rate fck/4 */

	delay (50000);				//Delay bis LCD Controller bereit
}

void spi_putc(unsigned char data)
{
	cbi (SPIPORT,SS);			// SS aktivieren
	while (SPIPIN&(1<<BUSY));
	SPDR=data;
	while (!(SPSR&(1<<SPIF)));
	sbi (SPIPORT,SS);			// SS deaktivieren
}

void spi_puts(const char *s,unsigned char anzahl)
{unsigned char i;
	for (i=0; i<anzahl;i++)
      spi_putc(*s++);
}
